%global upname kapteyn

# we don't want to provide private python extension libs
%global __provides_exclude_from ^(%{python3_sitearch}/.*\\.so)$

Name:    python-kapteyn
Version: 3.4.2
Release: %mkrel 1
Summary: The Kapteyn Python Astronomy package
License: BSD
Group:   Sciences/Astronomy

URL:     https://www.astro.rug.nl/software/kapteyn/
Source0: https://gitlab.astro.rug.nl/kapware/kapteyn-package/-/archive/v%{version}/kapteyn-package-v%{version}.tar.bz2
Patch0:  0001-kapteyn-3.4.2-Unbundle-wcslib.patch
Patch1:  0001-kapteyn-3.4.2-fix-linking.patch
# Patch2:  python-kapteyn-numpy_NO_DEPRECATED_API-NPY_1_7_API_VERSION.patch

BuildRequires: pkgconfig(wcslib)

%description
The Kapteyn Package is a collection of Python modules and applications
developed by the computer group of the Kapteyn Astronomical Institute,
University of Groningen, The Netherlands. The purpose of the package is
to provide tools for the development of astronomical applications with Python.

%package -n python3-%{upname}
Summary:       Python3 implementation of the Kapteyn package
%{?python_provide:%python_provide python3-%{upname}}
BuildRequires: pkgconfig(python3)
BuildRequires: python3dist(cython)
BuildRequires: python3-numpy-devel
BuildRequires: python3-sphinx
BuildRequires: python3-matplotlib

%description -n python3-%{upname}
The Kapteyn Package is a collection of Python3 modules and
applications developed by the computer group of the Kapteyn
Astronomical Institute, University of Groningen, The Netherlands. The
purpose of the package is to provide tools for the development of
astronomical applications with Python3.

%prep
%setup -n %{upname}-package-v%{version} -q
%autopatch -p1

# Unbundle wcslib
%__rm -rf src/wcslib-4.24

%build
CFLAGS="%{optflags} -Wno-deprecated-declarations -Wno-cpp  -Wno-int-conversion" \
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files kapteyn

find %{buildroot}%{python3_sitearch}/kapteyn -name "*.so" |xargs chmod 755

%files -n python3-%{upname} -f %{pyproject_files}
%doc CHANGES.txt LICENSE.txt README.md


%changelog
* Tue Aug 20 2024 papoteur <papoteur> 3.4.2-1.mga10
+ Revision: 2087153
- new version 3.14.2
- rediff patches or remove obsolete one

* Thu Jan 04 2024 daviddavid <daviddavid> 3.0-6.mga10
+ Revision: 2027406
- rebuild for py3.12 and for new wcslib

* Mon Mar 13 2023 daviddavid <daviddavid> 3.0-5.mga9
+ Revision: 1948846
- add patch to fix build with numpy >= 1.23.0

* Wed Apr 06 2022 umeabot <umeabot> 3.0-4.mga9
+ Revision: 1846138
- Mageia 9 Mass Rebuild

* Thu Feb 24 2022 mrambo3501 <mrambo3501> 3.0-3.mga9
+ Revision: 1783913
- rebuild for python-3.10

* Tue Apr 20 2021 daviddavid <daviddavid> 3.0-2.mga9
+ Revision: 1717508
- rebuild for python 3.9

* Tue Jun 09 2020 joequant <joequant> 3.0-1.mga8
+ Revision: 1591329
- update to 3.0

* Sun Feb 16 2020 umeabot <umeabot> 2.3.1-4.mga8
+ Revision: 1536329
- Mageia 8 Mass Rebuild

* Wed Oct 16 2019 daviddavid <daviddavid> 2.3.1-3.mga8
+ Revision: 1453975
- add patch to fix linking issue
+ tv <tv>
- rebuild for python-3.8
- drop python2 subpkg

* Tue Aug 20 2019 wally <wally> 2.3.1-2.mga8
+ Revision: 1430459
- build html docs

* Wed Apr 17 2019 eatdirt <eatdirt> 2.3.1-1.mga7
+ Revision: 1392035
- Upgrade to version 2.3.1

* Sun Sep 23 2018 umeabot <umeabot> 2.3-3.mga7
+ Revision: 1300506
- Mageia 7 Mass Rebuild

* Tue Nov 22 2016 eatdirt <eatdirt> 2.3-2.mga6
+ Revision: 1068818
- Rebuild for new cfitsio

* Fri Mar 11 2016 eatdirt <eatdirt> 2.3-1.mga6
+ Revision: 989245
- Upgrade to version 2.3

* Mon Feb 08 2016 umeabot <umeabot> 2.2-9.mga6
+ Revision: 943973
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.2-8.mga5
+ Revision: 741082
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.2-7.mga5
+ Revision: 728902
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.2-6.mga5
+ Revision: 688106
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 2.2-4.mga4
+ Revision: 543743
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2.2-3.mga4
+ Revision: 498816
- Rebuild to add different pythonegg provides for python 2 and 3

* Sat Jul 27 2013 joequant <joequant> 2.2-2.mga4
+ Revision: 459027
- change buildrequires

* Fri Jul 26 2013 joequant <joequant> 2.2-1.mga4
+ Revision: 458559
- add numpy devel
- change group
- imported package python-kapteyn

